// @APIVersion 1.0.0
// @Title oc-scheduler
// @Description Manage workflows booking
// @Contact admin@o-cloud.io
// @TermsOfServiceUrl http://cloud.o-forge.io/
// @License MIT
// @LicenseUrl https://opensource.org/license/mit
package routers

import (
	"oc-scheduler/controllers"

	beego "github.com/beego/beego/v2/server/web"
)

func init() {
	ns := beego.NewNamespace("/oc/",
		beego.NSNamespace("/workflow_execution",
			beego.NSInclude(
				&controllers.WorkflowExecutionController{},
			),
		),
		beego.NSNamespace("/version",
			beego.NSInclude(
				&controllers.VersionController{},
			),
		),
	)

	beego.AddNamespace(ns)
}
